Issue an agent payment mandate
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/commerce/agent-mandate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"agentId": "<string>",
"principalId": "<string>",
"maxPerTransaction": 123,
"totalCap": 123,
"currency": "<string>",
"allowedMerchants": [
"<string>"
],
"allowedCategories": [
"<string>"
],
"expiresAt": 123
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/commerce/agent-mandate"
payload = {
"id": "<string>",
"agentId": "<string>",
"principalId": "<string>",
"maxPerTransaction": 123,
"totalCap": 123,
"currency": "<string>",
"allowedMerchants": ["<string>"],
"allowedCategories": ["<string>"],
"expiresAt": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
agentId: '<string>',
principalId: '<string>',
maxPerTransaction: 123,
totalCap: 123,
currency: '<string>',
allowedMerchants: ['<string>'],
allowedCategories: ['<string>'],
expiresAt: 123
})
};
fetch('https://api.orbit.devotel.io/api/v1/commerce/agent-mandate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"agentId": "<string>",
"principalId": "<string>",
"maxPerTransaction": 123,
"totalCap": 123,
"currency": "<string>",
"allowedMerchants": [
"<string>"
],
"allowedCategories": [
"<string>"
],
"spent": 123,
"authorizationCount": 123,
"consentDigest": "<string>",
"expiresAt": 123,
"createdAt": 123,
"updatedAt": 123,
"revokedAt": 123
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Commerce
Issue an agent payment mandate
Issue a fresh scoped, revocable, spend-capped payment mandate for an agent.
POST
/
api
/
v1
/
commerce
/
agent-mandate
Issue an agent payment mandate
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I